#ifndef GWT_Sector_SEEN
#define GWT_Sector_SEEN

#include <iostream>

#include <Wt/WContainerWidget>
#include "sector.h"
#include "GWt_accelerator.h"
#include "GWt_ligneFaisceau.h"

using namespace Wt;

using namespace std;

class GWt_sector : public WObject
{
  
public:
  GWt_sector(GWt_accelerator*,sector*);
  virtual ~GWt_sector();
  void createWidgetBeamLine(WContainerWidget* parent);
  /* Return the controler sector element for this UI sector*/
  inline sector* getSectorControler() {return sectorControler_;};
  inline GWt_softwarePanel* getExecuteWidget() {
    return executeWidget_;
  }
  /**
   Get the accelerator for this sector
   */
  inline GWt_accelerator* getAccelerator() {
    return UI_Accelerator_;
  }
  
  /** 
   Get the beam line widget
   */
  inline GWt_ligneFaisceau* getBeamLineWidget() {
    return UI_beamLine_;
  };
  
  /**
   Display the content of this sector. Create a widget for the beamline and the softwares
   */
  void displayWidgetBeamLine();

  private :
  GWt_ligneFaisceau* UI_beamLine_;
  void setIcon(WLayout*);
  GWt_accelerator* UI_Accelerator_;
  sector* sectorControler_;
  GWt_softwarePanel* executeWidget_;

};

#endif
